include ../../../../Mkinclude

SHELL = /bin/sh

FFLAGS        = $(STDFFLAGS)

LIB = libftp4.a
DIR = .
DIRLIB =$(DIR)/$(LIB)

OBJ = ftzl.o ftzu.o ftrl.o ftru.o ftct.o ftst.o ftcm.o ftsm.o
SRCS = ftzl.f ftzu.f ftrl.f ftru.f ftct.f ftst.f ftcm.f ftsm.f

.SUFFIXES: .f .o 

all: $(DIRLIB)

$(DIRLIB): $(OBJ) $(SRCS)
	$(RM) -f $(DIRLIB)
	$(AR) $(DIRLIB) $(OBJ)
	$(RANLIB) $(DIRLIB)

.f.o:
	$(FC) -c $(FFLAGS) $<

clean: clean.local

clean.local:
	$(RM) *.o *~ core *.trace $(LIB)
